from std/osproc import startProcess, ProcessOption, waitForExit, close

proc runCommand*(command: string, args: openArray[string]): int =
  ## This will run a command with the given args and return its exit code upon completion
  let process = startProcess(command, args=args, options={poParentStreams})
  result = process.waitForExit()
  process.close()

proc isGlobalMenuEnabled*(): bool =
  return runCommand("/usr/bin/pacman", ["-Qq", "vala-panel-appmenu-registrar"]) == 0
